Bug 645883 - repo_ca_cert in rhsm.conf should make use of ca_cert_dir
Summary: repo_ca_cert in rhsm.conf should make use of ca_cert_dir
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-10-22 18:45 UTC by John Sefler
Modified: 2011-02-23 21:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-23 21:51:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-10-22 18:45:08 UTC
Description of problem:
The newly added rhsm.conf parameter repo_ca_cert = /etc/rhsm/ca/redhat-uep.pem should make use of the already existing ca_cert_dir parameter.

[root@jsefler-rhel6-client01 product]# cat /etc/rhsm/rhsm.conf | grep _cert
ca_cert_dir=/etc/rhsm/ca/
repo_ca_cert = /etc/rhsm/ca/redhat-uep.pem

               ^^^^^^^^^^^^^
WE SHOULD NOT HAVE TO SET THE DIRECTORY PATH FOR repo_ca_cert SINCE THE ca_cert_dir IS SET ABOVE



Version-Release number of selected component (if applicable):
[root@jsefler-rhel6-client01 product]# rpm -q subscription-manager
subscription-manager-0.93.0-1.git.49.0b54685.fc12.i386

Comment 1 Ajay Kumar Nadathur Sreenivasan 2010-11-18 20:29:09 UTC
fix in: c2f98569839f965c050bb98cb5b5473342f2ad58

Comment 3 John Sefler 2010-12-07 17:30:19 UTC
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.2-1.git.82.b7841b3.fc14.x86_64

[root@jsefler-onprem01 ~]# cat /etc/rhsm/rhsm.conf | grep _cert
ca_cert_dir=/etc/rhsm/ca/
repo_ca_cert=%(ca_cert_dir)sfakamai-cp1.pem

^^^ not the fix I expected, but I'll take it

moving to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.